Skip to main content
POST
/
firework
/
v4
/
identifiers
/
Create Identifier
curl --request POST \
  --url https://api.flare.io/firework/v4/identifiers/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "bin": "<string>",
    "type": "bin"
  },
  "categories": [],
  "emerging_categories": [
    "<string>"
  ],
  "severities": [],
  "name": "<string>",
  "group_id": 123
}
'
import requests

url = "https://api.flare.io/firework/v4/identifiers/"

payload = {
"data": {
"bin": "<string>",
"type": "bin"
},
"categories": [],
"emerging_categories": ["<string>"],
"severities": [],
"name": "<string>",
"group_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {bin: '<string>', type: 'bin'},
categories: [],
emerging_categories: ['<string>'],
severities: [],
name: '<string>',
group_id: 123
})
};

fetch('https://api.flare.io/firework/v4/identifiers/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "name": "<string>",
  "tenant_id": 123,
  "data": {
    "bin": "<string>",
    "type": "bin"
  },
  "categories": [],
  "emerging_categories": [
    "<string>"
  ],
  "severities": [],
  "group_id": 123,
  "enrichments": {
    "domain_reachable_at": "2023-11-07T05:31:56Z",
    "domain_resolves_at": "2023-11-07T05:31:56Z",
    "usage_count": 123,
    "event_count": 123,
    "authorization_status": "authorized"
  },
  "is_disabled": true,
  "updated_at": "2023-11-07T05:31:56Z"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
data
CCBinData · object
required
categories
enum<string>[]
required
Available options:
attachment,
listing,
ransomleak,
forum_post,
forum_topic,
forum_profile,
blog_post,
seller,
paste,
leak,
chat_message,
domain,
bot,
stealer_log,
infected_devices,
driller,
driller_forum_topic,
driller_forum_post,
driller_profile,
cc,
ccbin,
financial_data,
leaked_data,
leaked_file,
document,
account,
actor,
forum_content,
blog_content,
profile,
leaked_credential,
valid_credential,
invalid_credential,
mitigated_credential,
illicit_networks,
open_web,
domains,
intelligence_object,
leaks,
social_media_account,
social_media,
source_code,
source_code_secrets_np,
source_code_secrets,
source_code_files,
docker,
stack_exchange,
google,
service,
driller_host,
buckets,
bucket,
bucket_object,
whois,
ad,
ads,
cookie,
pii,
experimental
emerging_categories
string[]
required
severities
enum<string>[]
required
Available options:
info,
low,
medium,
high,
critical
name
string | null
group_id
integer | null

Response

Successful Response

id
integer
required
name
string
required
tenant_id
integer
required
data
CCBinData · object
required
categories
enum<string>[]
required
Available options:
attachment,
listing,
ransomleak,
forum_post,
forum_topic,
forum_profile,
blog_post,
seller,
paste,
leak,
chat_message,
domain,
bot,
stealer_log,
infected_devices,
driller,
driller_forum_topic,
driller_forum_post,
driller_profile,
cc,
ccbin,
financial_data,
leaked_data,
leaked_file,
document,
account,
actor,
forum_content,
blog_content,
profile,
leaked_credential,
valid_credential,
invalid_credential,
mitigated_credential,
illicit_networks,
open_web,
domains,
intelligence_object,
leaks,
social_media_account,
social_media,
source_code,
source_code_secrets_np,
source_code_secrets,
source_code_files,
docker,
stack_exchange,
google,
service,
driller_host,
buckets,
bucket,
bucket_object,
whois,
ad,
ads,
cookie,
pii,
experimental
emerging_categories
string[]
required
severities
enum<string>[]
required
Available options:
info,
low,
medium,
high,
critical
group_id
integer | null
required
enrichments
IdentifierEnrichments · object | null
required
is_disabled
boolean
required
updated_at
string<date-time>
required